      integer*4 function nf_fread  (A, ncid, varid, record, type)
      


      use Agrif_Util
#include "Param_BeforeCall_nf_fread.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0,1:N+1) :: A
      integer(4) :: ncid
      integer(4) :: type
      integer(4) :: varid
      integer(4) :: record
      

        call Sub_Loop_nf_fread(A,ncid,varid,record,type,nf_fread, Agrif_
     &tabvars_i(4)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(
     &176)%iarray0, Agrif_tabvars(295)%array1, Agrif_tabvars_i(8)%iarray
     &0, Agrif_tabvars_i(11)%iarray0, Agrif_tabvars_i(179)%iarray0, Agri
     &f_tabvars_i(7)%iarray0, Agrif_tabvars_i(9)%iarray0, Agrif_tabvars_
     &i(178)%iarray0, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(13)%i
     &array0)

      end


#include "Sub_Loop_nf_fread.h"
      integer*4 function nf_fwrite (A, ncid, varid, record, type)
      


      use Agrif_Util
#include "Param_BeforeCall_nf_fwrite.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0,1:N+1) :: A
      integer(4) :: ncid
      integer(4) :: type
      integer(4) :: varid
      integer(4) :: record
      

        call Sub_Loop_nf_fwrite(A,ncid,varid,record,type,nf_fwrite, Agri
     &f_tabvars_i(4)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_
     &i(176)%iarray0, Agrif_tabvars(295)%array1, Agrif_tabvars_i(8)%iarr
     &ay0, Agrif_tabvars_i(11)%iarray0, Agrif_tabvars_i(179)%iarray0, Ag
     &rif_tabvars_i(7)%iarray0, Agrif_tabvars_i(9)%iarray0, Agrif_tabvar
     &s_i(178)%iarray0, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(13)
     &%iarray0)

      end


#include "Sub_Loop_nf_fwrite.h"
      module zzz


        implicit none
        public :: Alloc_agrif_zzz
      contains
      subroutine Alloc_agrif_zzz(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_zzz.h"
      end subroutine Alloc_agrif_zzz
      end module zzz
